const shortLink = document
  .querySelector('link[rel="canonical"]')
  .href.replace(/amazon.co.jp\/.*\/dp/, 'amazon.co.jp/dp')

const copyToClipboard = text => {
  const input = document.createElement('input')
  document.body.appendChild(input)
  input.value = text
  input.select()
  document.execCommand('copy')
  input.parentNode.removeChild(input)
}
copyToClipboard(shortLink)
location.href = shortLink
